%define upstream_name   Text-Tabs+Wrap
%define upstream_version 2013.0523

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Wraps lines to make simple paragraphs
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
Text::Tabs does about what the unix utilities expand(1) and unexpand(1) do.
Given a line with tabs in it, expand will replace the tabs with the
appropriate number of spaces. Given a line with or without tabs in it,
unexpand will add tabs when it can save bytes by doing so (just like
'unexpand -a'). Invisible compression with plain ASCII!

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc CHANGELOG META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 2013.52.300-8.mga6
+ Revision: 1035153
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 2013.52.300-7.mga6
+ Revision: 945190
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2013.52.300-6.mga5
+ Revision: 743110
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2013.52.300-5.mga5
+ Revision: 686654
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 2013.52.300-4.mga5
+ Revision: 588101
- rebuild after perl 5.18.2

* Tue Oct 22 2013 umeabot <umeabot> 2013.52.300-3.mga4
+ Revision: 541372
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 shlomif <shlomif> 2013.52.300-2.mga4
+ Revision: 495793
- Rebuild for newer perl where the vendor_perl is of less precedence

* Mon Jun 03 2013 jquelin <jquelin> 2013.52.300-1.mga4
+ Revision: 436457
- update to 2013.0523

* Wed Mar 27 2013 jquelin <jquelin> 2012.81.800-4.mga3
+ Revision: 405575
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2012.81.800-3.mga3
+ Revision: 374200
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 2012.81.800-2.mga3
+ Revision: 315584
- perl 5.16.2 rebuild

* Mon Aug 27 2012 jquelin <jquelin> 2012.81.800-1.mga3
+ Revision: 284609
- update to 2012.0818

* Sat Jan 22 2011 jquelin <jquelin> 2009.0305-2.mga1
+ Revision: 31349
- mageia rebuild
- imported package perl-Text-Tabs+Wrap


* Fri May 15 2009 Jérôme Quelin <jquelin@mandriva.org> 2009.0305-2mdv2010.0
+ Revision: 375889
- rebuild

* Mon May 11 2009 Jérôme Quelin <jquelin@mandriva.org> 2009.0305-1mdv2010.0
+ Revision: 374455
- import perl-Text-Tabs+Wrap


* Mon May 11 2009 cpan2dist 2009.0305-1mdv
- initial mdv release, generated with cpan2dist

